Skip to main content
POST
/
v1
/
sip
/
detach
Detach SIP Configuration
curl --request POST \
  --url https://api.bland.ai/v1/sip/detach \
  --header 'Content-Type: application/json' \
  --header 'authorization: <authorization>' \
  --data '
{
  "phone_number": "<string>",
  "directions": [
    {}
  ],
  "service": "<string>"
}
'
import requests

url = "https://api.bland.ai/v1/sip/detach"

payload = {
"phone_number": "<string>",
"directions": [{}],
"service": "<string>"
}
headers = {
"authorization": "<authorization>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({phone_number: '<string>', directions: [{}], service: '<string>'})
};

fetch('https://api.bland.ai/v1/sip/detach', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Headers

authorization
string
required
Your API key for authentication.

Body

phone_number
string
required
The phone number to detach SIP routing from. Must be in E.164 format.
directions
array
required
Direction(s) to remove. Each object must have a type field set to "inbound" or "outbound".
service
string
required
Must be set to "sip".
Example Request
curl -X POST https://api.bland.ai/v1/sip/detach \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "phone_number": "+14150000000",
    "directions": [
      { "type": "outbound" }
    ],
    "service": "sip"
  }'

Docs for agents: llms.txt